/** @file */

enum testenum {
	ITEM_ONE,
	ITEM_TWO,
};

/** testing struct */
struct testing {
	enum testenum test1:2; ///< This is the field that does not get parsed properly
	unsigned int test2:30; ///< the other field
};

/** 
 * The change that introduced this regression was adding support for c++11 explicitly typed enums.
 * therefore this test cases ensures they are stilled parsed correctly.
 */
enum E : unsigned int {
	ITEM_THREE,
	ITEM_FOUR,
} 